/* div per posizionare la mappa */
.mappa { 
    position: absolute;
    top: 13%;
    left: 23.5%;
    right: 23.5%;
}

/* x evitare le barre di scorrimento + aspetti grafici */
body{
    font-family:'Times New Roman', Times, serif;
    font-size:20px; 
    background-color: rgb(32, 32, 32); 
    background-image: url('ico/background.jpg'); 
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    overflow:hidden; /*togli barre di scorrimento */ 
}

.panRic {
    position: absolute;
    top: 6.5%;
    left: 23.9%;
}

    /* --------------- Iframe Responsive ----------------------*/

    .osm-maps {
        position: relative;
        padding-bottom: 45%; 
        height: 0;
        overflow: hidden;
        }

    .osm-maps iframe {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        }

    /* ------------------- Select -------------------------- */

    select {
        width: 20%;
        border: 4px solid white;
        box-sizing: border-box;
        border-radius: 4px;
        font-size: 16px;
        
        background-color: rgb(123, 152, 188);
        background-image: url('../ico/selecticon.png');
        background-position: 10px 10px;
        background-repeat: no-repeat;
        padding: 12px 20px 12px 40px;
    }

    /* ------------------- INPUTBOX ------------------------ */

    input[type=text] {
        width: 20%;
        box-sizing: border-box;
        border: 4px solid white;
        border-radius: 4px;
        font-size: 16px;
        background-color: rgb(123, 152, 188);;
        background-image: url('../ico/searchicon.png');
        background-position: 10px 10px;
        background-repeat: no-repeat;
        padding: 12px 20px 12px 40px;
        -webkit-transition: width 0.4s ease-in-out;
        transition: width 0.4s ease-in-out;
    }

    /* valore per allungamento barra */
    input[type=text]:focus {
        width: 45%; 
    }

    /* -------------------- Alert Box --------------------- */

    .alert {
        padding: 20px;
        background-color: #f44336;
        color: white;
    }

    .closebtn {
        margin-left: 15px;
        color: white;
        font-weight: bold;
        float: right;
        font-size: 25px;
        line-height: 20px;
        cursor: pointer;
        transition: 0.3s;
    }
    
    /* non so cosa sia */
    .closebtn:hover {
        color: rgb(0, 0, 0);
    }

            
